3

This question already has an answer here:

I'm trying to install Magento 1.9.3 but got stuck on PHP extension mcrypt must be loaded.

I have two versions of PHP (5.6, and 7.1) both have mcrypt installed and running, checked on both versions with

./php -m

mcrypt is in the list of running extensions, also added additionally in the

/ect/php.ini extension=mcrypt.so

I don't know what else to do to make it pass that installation screen.

marked as duplicate by Arunendra, Khoa TruongDinh, Murtuza Zabuawala, Raphael at Digital Pianism, Siarhey Uchukhlebau Jan 9 '17 at 10:38

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

4

I recommend to restart the web server.

Run php file with:

<?php
phpinfo();

and check whether there is a mcrypt extension, if no check path for right php.ini file.

1

IF you have access to SSH for your server install php5-mcrypt

$ sudo apt-get install php5-mcrypt

or

$ yum install php5-mcrypt

depends of your linux ditribution.

1
sudo apt-get install php5.6-mcrypt
sudo service apache2 graceful

Try above commands if it's still not working.

  • In windows how to do the above step? – Gem Sep 16 at 11:17

Not the answer you're looking for? Browse other questions tagged or ask your own question.